<?php

namespace App\Modules\HR\Employees\Policies;

use App\Models\User;
use App\Modules\HR\Employees\Models\EmployeeEmploymentHistory;

class EmployeeEmploymentHistoryPolicy
{
    public function create(User $user): bool
    {
        return $user->can('employees.update');
    }

    public function update(User $user, EmployeeEmploymentHistory $history): bool
    {
        return $user->can('employees.update');
    }

    public function delete(User $user, EmployeeEmploymentHistory $history): bool
    {
        return $user->can('employees.update');
    }
}
